Bug 771687 - ABI issue in MIT krb5 1.10 scheduled for RHEL 6.4
ABI issue in MIT krb5 1.10 scheduled for RHEL 6.4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
6.4
Unspecified Unspecified
high Severity high
: rc
: 6.4
Assigned To: Nalin Dahyabhai
Zbysek MRAZ
: ABIAssurance, Regression
Depends On:
Blocks: 840699
  Show dependency treegraph
 
Reported: 2012-01-04 11:10 EST by Simo Sorce
Modified: 2013-09-30 22:59 EDT (History)
6 users (show)

See Also:
Fixed In Version: krb5-1.10.3-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:36:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2012-01-04 11:10:26 EST
Description of problem:
In MIT krb 1.10 a semi-private symbol (krb5_locate_kdc) that is exposed by the krb5 library and used by the samba package has been renamed and the function signature has changed.
This will break samba for people that will upgrade to 6.4
We should patch RHEL's 1.10 packages to re-introduce the symbol by making it a wrapper around the new call.
Comment 7 Simo Sorce 2012-08-03 15:10:07 EDT
Nalin,
a conflicts with the old samba vesion is fine.
Comment 13 errata-xmlrpc 2013-02-21 03:36:53 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0319.html

Note You need to log in before you can comment on or make changes to this bug.